EVP_SET_DEFAULT_PROPERTIES(3)

NAME
EVP_set_default_properties - Set default properties for future algorithm fetches

SYNOPSIS
 #include <openssl/evp.h>

 int EVP_set_default_properties(OPENSSL_CTX *libctx, const char *propq);

DESCRIPTION
EVP_set_default_properties() sets the default properties for all future EVP algorithm fetches, implicit as well as explicit.

EVP_set_default_properties stores the properties given with the string propq among the EVP data that's been stored in the library context given with libctx (NULL signifies the default library context).

Any previous default property for the specified library context will be dropped.

RETURN VALUES
EVP_set_default_properties() returns 1 on success, or 0 on failure. The latter adds an error on the error stack.

SEE ALSO
EVP_MD_fetch(3)

HISTORY
The functions described here were added in OpenSSL 3.0.

COPYRIGHT
Copyright 2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.